package it.cavallium.strangedb.server;

import java.nio.charset.StandardCharsets;

public class NodeProperty {
	private final byte[] name;
	private final long reference;

	public NodeProperty(byte[] name, long reference) {
		this.name = name;
		this.reference = reference;
	}

	public byte[] getName() {
		return name;
	}

	public long getReference() {
		return reference;
	}

	public String getNameAsString() {
		return new String(name, StandardCharsets.US_ASCII);
	}
}
